# gdcmEvent.h File Reference

Go to the source code of this file.

## Classes

class | gdcm::AbortEvent
class | gdcm::AnyEvent
class | gdcm::EndEvent
class | gdcm::Event
| superclass for callback/observer methods More...
class | gdcm::ExitEvent
class | gdcm::InitializeEvent
class | gdcm::IterationEvent
class | gdcm::ModifiedEvent
class | gdcm::NoEvent
class | gdcm::StartEvent
class | gdcm::UserEvent

## Namespaces

namespace | gdcm

## Defines

#define | gdcmEventMacro(classname, super)

## Functions

std::ostream & | gdcm::operator<< (std::ostream &os, Event &e)
| Generic inserter operator for Event and its subclasses.

## Define Documentation

#define gdcmEventMacro | ( |  | classname,
|  |  | super
| ) |  |

Value:

      \
     class  classname : public super { \
       public: \
         typedef classname Self; \
         typedef super Superclass; \
         classname() {} \
         virtual ~classname() {} \
         virtual const char * GetEventName() const { return #classname; } \
         virtual bool CheckEvent(const ::gdcm::Event* e) const \
           { return dynamic_cast<const Self*>(e) ? true : false; } \
         virtual ::gdcm::Event* MakeObject() const \
           { return new Self; } \
         classname(const Self&s) : super(s){}; \
       private: \
         void operator=(const Self&); \
     }